# 📝 Code of Conduct & Best Practices

This document defines the **principles and guidelines** for the use of **ProxMenux**, aiming to foster **respect, collaboration, and security** in development.

## 📌 1. Code Attribution & Recognition

- If **scripts, code snippets, or ideas** from other repositories or developers are used, the original author will always be credited.  
- A comment will be added in the code or documentation mentioning the source and linking to the original repository if possible.  
- When using code with a specific **license**, its terms must be respected.  

### ✅ Example of proper attribution in code:

```bash
# Script based on the work of [Author] at [Repository Link]
```

## 🔒 2. Security & Code Responsibility

- All code in this repository follows secure development best practices.
- Contributions introducing intentional vulnerabilities or unsafe practices are not allowed.
- Scripts should never compromise system security or user data.
- Before implementation, contributions should be reviewed to ensure security and stability.

### ⚠️ Responsible Disclosure of Vulnerabilities

If you discover a security vulnerability, DO NOT report it in public Issues or forums.

Instead, please report it privately via email:

📧 proxmenux@macrimi.pro


## 🤝 3. Community Guidelines

To maintain a respectful and professional environment, all users must follow these guidelines:

- ✅ Be respectful and constructive in discussions.
- ❌ No harassment, hate speech, or offensive behavior will be tolerated.
- ✅ Provide feedback professionally, avoiding personal attacks.
- ❌ Violating these guidelines may result in warnings or bans, depending on severity.


##

With this document, we promote ethical code use, security awareness, and a respectful community.

📢 Let's build something great, together!

